﻿/*
    CSS for custome Paginator  HtmlHelpers
*/

.paginator {
    height: 20px;
    font-size: smaller;
    vertical-align: bottom;
}

.tableNav {
    margin: 0px 0px 0px 1em;
    vertical-align: middle;
}

.tableNav, .tableNavButton, .tableNavButton a {
    display: inline-block;
}

    .tableNavButton, .tableNavButton a {
        height: 24px;
        overflow: hidden;
        width: 16px;
    }

.tableNavButton {
    background-position: center center;
    background-repeat: no-repeat;
}

    .tableNavButton span, .tableNavButton a span {
        display: none;
    }

.inactiveTableNavButton {
    opacity: 0.3;
}

.tableNavButtonFirst {
    background-image: url("images/first.gif");
}

.tableNavButtonPrev {
    background-image: url("images/prev.gif");
}

.tableNavButtonNext {
    background-image: url("images/next.gif");
}

.tableNavButtonLast {
    background-image: url("images/last.gif");
}

.itemHeading, .itemActions {
    float: left;
}

.itemActions {
    background-color: #FFFFFF;
    border-radius: 4px 4px 4px 4px;
    font-size: 0.75em;
    list-style: none outside none;
    margin: 0.75em 0px 0.75em 0.5em;
    padding: 0.25em 0.5em;
}

.itemActionsH4 {
    margin: 0px 0px 0.75em 0.5em;
}

.itemActions li {
    border-right: 1px solid #555555;
    float: left;
    margin-right: 0.5em;
    padding-right: 0.5em;
}

    .itemActions li.last {
        border: 0px none;
        margin-right: 0px;
        padding-right: 0px;
    }

.actions {
    margin: 0px auto;
    width: 66px;
}

.pdfActions {
    width: 50%;
}

.actions li {
    float: left;
    list-style: none outside none;
}

    .actions li a {
        background-position: left center;
        background-repeat: no-repeat;
        display: block;
        height: 16px;
        margin-right: 6px;
        width: 16px;
    }

.actions span {
    display: none;
}

.actions a.view {
    background-image: url("images/view.png");
}

.actions a.edit {
    background-image: url("images/edit.png");
}

.actions a.delete {
    background-image: url("images/delete.png");
}

.actions a.download {
    background-image: url("images/download.png");
}

.actions a.pdf {
    background-image: url("../images/app/icons/pdf.png");
}

.actions a.fax {
    background-image: url("images/fax.png");
}

.actions a.copy {
    background-image: url("images/copy.png");
}

.actions li a.pdf, .actions li a.fax {
    text-decoration: none;
    width: auto;
}

.actions a.pdf span, .actions a.fax span {
    display: inline;
    padding-left: 19px;
}

.actions a.reply {
    background-image: url("images/mail_reply_sender.png");
}
